Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509680 - ansible_service_broker_registry_user and ansible_service_broker_registry_password shouldn't be required fields for dockerhub type
Summary: ansible_service_broker_registry_user and ansible_service_broker_registry_pass...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Fabian von Feilitzsch
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On: 1507617
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 17:06 UTC by Zhang Cheng
Modified: 2017-11-28 08:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-10 21:00:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 Fabian von Feilitzsch 2017-11-06 18:16:30 UTC
https://github.com/openshift/openshift-ansible/pull/6026

Comment 3 openshift-github-bot 2017-11-06 21:20:44 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/b27f719acfc00e6891799cec5979c7d0c503301c
Bug 1509680- Fix ansible-service-broker registry validations

- Remove outdated dockerhub registry validations
- Add the local openshift registry by default
  - Add whitelist parameter for local registry
- Set default dockerhub org to ansibleplaybookbundle

https://github.com/openshift/openshift-ansible/commit/b1c349dfd774199125033d76a31a90daa09a8a9c
Merge pull request #6026 from fabianvf/1509680-asb-credential-check

Bug 1509680- Fix ansible-service-broker registry settings/validations

Comment 4 Zhang Cheng 2017-11-07 02:45:50 UTC
PR was not merged in openshift-ansible-3.7.0-0.196.0.git.0.27cd7ec.el7.noarch.rpm

Will verify until code is merged.

Comment 5 Zhang Cheng 2017-11-08 03:28:05 UTC
Verify depend on BZ https://bugzilla.redhat.com/show_bug.cgi?id=1510706 "Installing OCP with ASB failed with latest openshift-ansible, 3.7.0-0.197.0"

Comment 6 Zhang Cheng 2017-11-08 06:58:51 UTC
ansible-service-broker deploy failed while using openshift-ansible with latest build openshift-ansible-3.7.0-0.197.0

Refer to bug: https://bugzilla.redhat.com/show_bug.cgi?id=1507617

Comment 7 Zhang Cheng 2017-11-09 02:40:52 UTC
Re-test and verified with openshift-ansible-3.7.4-1
Ansible job succeed without ansible_service_broker_registry_user and ansible_service_broker_registry_password while using dockerhub type


Note You need to log in before you can comment on or make changes to this bug.